<?php

namespace Drupal\gbif2_views\Plugin\views\filter;

use Drupal\views\Plugin\views\filter\StringFilter;

/**
 * Filter handler for GBIF.
 *
 * @ingroup views_filter_handlers
 *
 * @ViewsFilter("gbif")
 */
class GbifFilter extends StringFilter {

  /**
   * {@inheritdoc}
   */
  public function operators() {
    $operators = parent::operators();
    $operators = ['=' => $operators['=']];

    return $operators;
  }

  /**
   * Generate filter.
   */
  public function generate() {
    if (!empty($this->value)) {
      return [$this->field => $this->value];
    }

    return [];
  }

}
