<?php

namespace Drupal\gbif2_views\Plugin\views\filter;

use Drupal\views\Plugin\views\filter\NumericFilter;

/**
 * Numeric filter handler for GBIF.
 *
 * @ingroup views_filter_handlers
 *
 * @ViewsFilter("gbif_numeric")
 */
class GbifNumericFilter extends NumericFilter {

  /**
   * {@inheritdoc}
   */
  public function operators() {
    $operators = parent::operators();
    $operators = ['=' => $operators['='], 'between' => $operators['between']];

    return $operators;
  }

  /**
   * Generate filter.
   */
  public function generate() {
    switch ($this->operator) {
      case '=':
        if (!empty($this->value['value'])) {
          return [$this->field => $this->value['value']];
        }
        break;

      case 'between':
        if (!empty($this->value['min']) && !empty($this->value['max'])) {
          return [$this->field => $this->value['min'] . ',' . $this->value['max']];
        }
        break;
    }

    return [];
  }

}
