<?php

namespace Drupal\gbif2_views\Service;

use Drupal\Core\Entity\EntityTypeManagerInterface;
use Drupal\views\ResultRow;
use Drupal\views\ViewExecutable;

/**
 * Contains entity getter method.
 */
class GbifVboViewsData {

  /**
   * Entity type manager service.
   *
   * @var \Drupal\Core\Entity\EntityTypeManagerInterface
   */
  protected $entityTypeManager;

  /**
   * Object constructor.
   */
  public function __construct(EntityTypeManagerInterface $entity_type_manager) {
    $this->entityTypeManager = $entity_type_manager;
  }

  /**
   * The entity getter method.
   *
   * @param \Drupal\views\ResultRow $row
   *   Views result row.
   * @param string $relationship_id
   *   Id of the view relationship.
   * @param \Drupal\views\ViewExecutable $view
   *   The current view object.
   */
  public function getEntityFromRow(ResultRow $row, $relationship_id, ViewExecutable $view) {
    return $this->entityTypeManager->getStorage('gbif_occurrence')->load($row->key);
  }

}
